Verificar aprovação do template
Este endpoint dispara uma verificação manual do status de aprovação do template de conversa no provedor.
POST
/ConversationTemplate/{id}/check-approvalEste endpoint dispara uma verificação manual do status de aprovação do template de conversa no provedor.
Autenticação
Autenticação obrigatória. Envie sua chave de API de usuário no header X-API-Key.
Parâmetros
| Nome | Local | Tipo | Obrigatório | Descrição | Restrições |
|---|---|---|---|---|---|
id | path | integer · int32 | Sim | — | — |
Corpo da requisição
Esta operação não recebe corpo de requisição.
Exemplo de requisição
curl --request POST \
--url 'https://api.zild.ai/ConversationTemplate/{id}/check-approval' \
--header 'X-API-Key: YOUR_USER_API_KEY'
Respostas
| Status | Descrição | Corpo da resposta |
|---|---|---|
200 | Status de aprovação verificado com sucesso | application/json · ConversationTemplateDto |
Exemplo de resposta (200):
{
"id": 0,
"active": true,
"contentSid": "string",
"name": "string",
"message": "string",
"createdAt": "2026-09-22T18:00:00Z",
"conversationTemplateType": 0,
"contentVariables": {},
"approvalStatus": 0,
"botId": 0,
"language": "string",
"queueIds": [
0
],
"groupIds": [
0
]
}
Modelos de dados
ApprovalStatus
0 = NotRequested; 1 = Received; 2 = Pending; 3 = Approved; 4 = Rejected
integer
ConversationTemplateDto
| Propriedade | Tipo | Obrigatório | Descrição | Restrições |
|---|---|---|---|---|
id | integer · int32 | Não | — | — |
active | boolean | Não | — | — |
contentSid | string | Não | — | aceita null |
name | string | Não | — | aceita null |
message | string | Não | — | aceita null |
createdAt | string · date-time | Não | — | — |
conversationTemplateType | ConversationTemplateType | Não | — | — |
contentVariables | object | Não | — | aceita null |
approvalStatus | ApprovalStatus | Não | — | — |
botId | integer · int32 | Não | — | — |
language | string | Não | — | aceita null |
queueIds | array<integer · int32> | Não | — | aceita null |
groupIds | array<integer · int32> | Não | — | aceita null |
ConversationTemplateType
0 = Utility; 1 = Marketing; 2 = Authentication
integer